#include "TestFramework.h"
#include "TestUtils.h"

#include "AudioSample.h"
#include "AudioSynth.h"
#include "AudioWriter.h"

TEST_CASE(TestAudioWriterWav, "audio")
{
    AudioWriter writer;
    writer.setPath(TestUtils::getTestOutputDir() / "TestAudioWriterWav.wav");

    AudioSynth synth;
    const auto sample = synth.getSineWave(240, 5);

    writer.write(sample);
};
